.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "ALTER SCHEMA" "" "2010-05-14" "SQL - Language Statements" "SQL Commands"
.SH NAME
ALTER SCHEMA \- change the definition of a schema

.SH SYNOPSIS
.sp
.nf
ALTER SCHEMA \fIname\fR RENAME TO \fInewname\fR
ALTER SCHEMA \fIname\fR OWNER TO \fInewowner\fR
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBALTER SCHEMA\fR changes the definition of a schema.
.PP
You must own the schema to use \fBALTER SCHEMA\fR.
To rename a schema you must also have the
CREATE privilege for the database.
To alter the owner, you must also be a direct or
indirect member of the new owning role, and you must have the
CREATE privilege for the database.
(Note that superusers have all these privileges automatically.)
.SH "PARAMETERS"
.TP
\fB\fIname\fB\fR
The name of an existing schema.
.TP
\fB\fInewname\fB\fR
The new name of the schema. The new name cannot
begin with pg_, as such names
are reserved for system schemas.
.TP
\fB\fInewowner\fB\fR
The new owner of the schema.
.SH "COMPATIBILITY"
.PP
There is no \fBALTER SCHEMA\fR statement in the SQL
standard.
.SH "SEE ALSO"
CREATE SCHEMA [\fBcreate_schema\fR(l)], DROP SCHEMA [\fBdrop_schema\fR(l)]
