.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "ALTER VIEW" "" "2010-05-14" "SQL - Language Statements" "SQL Commands"
.SH NAME
ALTER VIEW \- change the definition of a view

.SH SYNOPSIS
.sp
.nf
ALTER VIEW \fIname\fR RENAME TO \fInewname\fR
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBALTER VIEW\fR changes the definition of a view.
The only currently available functionality is to rename the view.
To execute this command you must be the owner of the view.
.SH "PARAMETERS"
.TP
\fB\fIname\fB\fR
The name (optionally schema-qualified) of an existing view.
.TP
\fB\fInewname\fB\fR
The new name of the view.
.SH "NOTES"
.PP
Some variants of \fBALTER TABLE\fR can be used with
views as well; for example, to rename a view it is also
possible to use \fBALTER TABLE RENAME\fR. To change
the schema or owner of a view, you currently must use \fBALTER
TABLE\fR.
.SH "EXAMPLES"
.PP
To rename the view foo to
bar:
.sp
.nf
ALTER VIEW foo RENAME TO bar;
.sp
.fi
.SH "COMPATIBILITY"
.PP
\fBALTER VIEW\fR is a PostgreSQL
extension of the SQL standard.
.SH "SEE ALSO"
CREATE VIEW [\fBcreate_view\fR(l)], DROP VIEW [\fBdrop_view\fR(l)]
