.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "DROP TABLESPACE" "" "2010-05-14" "SQL - Language Statements" "SQL Commands"
.SH NAME
DROP TABLESPACE \- remove a tablespace

.SH SYNOPSIS
.sp
.nf
DROP TABLESPACE [ IF EXISTS ] \fItablespacename\fR
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBDROP TABLESPACE\fR removes a tablespace from the system.
.PP
A tablespace can only be dropped by its owner or a superuser.
The tablespace must be empty of all database objects before it can be
dropped. It is possible that objects in other databases might still reside
in the tablespace even if no objects in the current database are using
the tablespace. Also, if the tablespace is listed in the temp_tablespaces setting of any active session, the
\fBDROP\fR might fail due to temporary files residing in the
tablespace.
.SH "PARAMETERS"
.TP
\fBIF EXISTS\fR
Do not throw an error if the tablespace does not exist. A notice is issued 
in this case.
.TP
\fB\fItablespacename\fB\fR
The name of a tablespace.
.SH "NOTES"
.PP
\fBDROP TABLESPACE\fR cannot be executed inside a transaction block.
.SH "EXAMPLES"
.PP
To remove tablespace mystuff from the system:
.sp
.nf
DROP TABLESPACE mystuff;
.sp
.fi
.SH "COMPATIBILITY"
.PP
\fBDROP TABLESPACE\fR is a PostgreSQL
extension.
.SH "SEE ALSO"
CREATE TABLESPACE [\fBcreate_tablespace\fR(l)], ALTER TABLESPACE [\fBalter_tablespace\fR(l)]
