.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "ROLLBACK PREPARED" "" "2010-05-14" "SQL - Language Statements" "SQL Commands"
.SH NAME
ROLLBACK PREPARED \- cancel a transaction that was earlier prepared for two-phase commit

.SH SYNOPSIS
.sp
.nf
ROLLBACK PREPARED \fItransaction_id\fR
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBROLLBACK PREPARED\fR rolls back a transaction that is in 
prepared state.
.SH "PARAMETERS"
.TP
\fB\fItransaction_id\fB\fR
The transaction identifier of the transaction that is to be
rolled back.
.SH "NOTES"
.PP
To roll back a prepared transaction, you must be either the same user that
executed the transaction originally, or a superuser. But you do not
have to be in the same session that executed the transaction.
.PP
This command cannot be executed inside a transaction block. The prepared
transaction is rolled back immediately.
.PP
All currently available prepared transactions are listed in the
\fBpg_prepared_xacts\fR
system view.
.SH "EXAMPLES"
.PP
Roll back the transaction identified by the transaction
identifier foobar:
.sp
.nf
ROLLBACK PREPARED 'foobar';
.sp
.fi
.SH "SEE ALSO"
PREPARE TRANSACTION [\fBprepare_transaction\fR(l)], COMMIT PREPARED [\fBcommit_prepared\fR(l)]
